FROM openjdk:8-alpine
RUN apk --update add wget tar bash
RUN wget --no-check-certificate http://apache.claz.org/spark/spark-2.4.3/spark-2.4.3-bin-hadoop2.7.tgz
RUN tar -xzf spark-2.4.3-bin-hadoop2.7.tgz
RUN mv spark-2.4.3-bin-hadoop2.7 /spark 
RUN rm spark-2.4.3-bin-hadoop2.7.tgz

#ENTRYPOINT ["/spark/bin/spark-class", "org.apache.spark.deploy.master.Master", "--ip `hostname`", "--port 7077 ", "--webui-port 8080"]
# docker run --rm -it spark:0.0.1 /bin/sh
# docker run --rm -it --name spark-master --hostname spark-master -p 7077:7077 -p 8080:8080 spark:0.0.1 /bin/sh
# /spark/bin/spark-class org.apache.spark.deploy.master.Master --ip `hostname` --port 7077 --webui-port 8080

# ENTRYPOINT ["java","-Dspring.profiles.active=docker","-Djava.security.egd=file:/dev/./urandom","-jar","/app.jar"]


